HGL-3.2.0.2: A simple graphics library based on X11 or Win32

Portability | non-portable (requires concurrency)
Stability | provisional
Maintainer | libraries@haskell.org
Safe Haskell | None

Graphics.HGL.Draw.Brush

Description

Brushes, used for filling shapes.

Synopsis

- data Brush
- createBrush :: RGB -> IO Brush
- deleteBrush :: Brush -> IO ()
- selectBrush :: Brush -> Draw Brush
- mkBrush :: RGB -> (Brush -> Draw a) -> Draw a

# Documentation

data Brush Source

createBrush :: RGB -> IO Brush Source

Create a `Brush`.

deleteBrush :: Brush -> IO ()Source

Destroy a `Brush` created with `createBrush`.

selectBrush :: Brush -> Draw Brush Source

Set the `Brush` for subsequent drawing, returning the previous setting.

mkBrush :: RGB -> (Brush -> Draw a) -> Draw aSource

Create a `Brush` locally to a drawing.